/* document.vala
 *
 * Copyright (C) 2008-2010 Nicolas Joseph
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Nicolas Joseph <nicolas.joseph@valaide.org>
 */

/**
 * A text document
 */
public class Valide.TxtDocument : Document
{
  /**
   * @see Valide.AbstractTextDocument.create_source_view
   */
  protected override SplitSourceView create_source_view ()
  {
    return new SplitSourceView ("txt");
  }
}

/**
 * A genie document
 */
public class Valide.GsDocument : TxtDocument
{
  /**
   * @see Valide.AbstractTextDocument.create_source_view
   */
  protected override SplitSourceView create_source_view ()
  {
    return new SplitSourceView ("genie");
  }
}

/**
 * A vala document
 */
public class Valide.ValaDocument : TxtDocument
{
  /**
   * @see Valide.AbstractTextDocument.create_source_view
   */
  protected override SplitSourceView create_source_view ()
  {
    return new SplitSourceView ("vala");
  }
}

/**
 * A vapi document
 */
public class Valide.VapiDocument : ValaDocument
{
}

/**
 * A XML document
 */
public class Valide.XmlDocument : TxtDocument
{
  /**
   * @see Valide.AbstractTextDocument.create_source_view
   */
  protected override SplitSourceView create_source_view ()
  {
    return new SplitSourceView ("xml");
  }
}

/**
 * A glade document
 */
public class Valide.GladeDocument : XmlDocument
{
}

/**
 * A GTK UI document
 */
public class Valide.UiDocument : XmlDocument
{
}

