using Valide;

public class FileTemplate
{
  public string Content {get; private set;}

  /**
   * Creates a Template class containing all the data to flush a new (class|interface|enum|struct) to the harddisk
   */
  public FileTemplate(string visibility, string type, string name, string baseclass, string[] interfaces, bool genheader, bool main)
  {
    //TODO locate the default namespace somewhere in project preferences
    //TODO locate the default header

    string header = genheader ? "/** custom header*/" : "";
    string usings = "using GLib;";
    string namespacename = "Valide";
    
    bool hasbaseclass = baseclass != "";
    string extentions = "";
    if (hasbaseclass)
    {
      extentions = @": $baseclass";
    }
    
    //we have some interfaces to append
    if (interfaces.length > 0)
    {
      //there was no baseclass
      if (!hasbaseclass)
      {
	      extentions = @": $(interfaces[0])";
	    }
      else
      {
	      extentions += @", $(interfaces[0])";
	    }

      for (int i = 1; i < interfaces.length; i++)
      {
	      extentions += ", " + interfaces[i];
	    }
    }
    
    string content = "";
    
    //if struct or class -> generate constructor!
    if (type == "class" || type == "struct")
    {
        content = @"\t\t$visibility $name()\n" +
			    "\t\t{\n" +
			    "\t\t\t//autogenerated\n" +
			    "\t\t}\n";
    }
    else if (type == "enum")
    {
      content = @"\t\tNONE = 0;\n";
    }
        
    if (main)
    {
      content += @"\n\t\tpublic static int main(string[] args)\n"+
      "\t\t{\n" +
      "\t\t\t//start here... maybe stdout.printf('hello world');\n" +
      "\t\t\treturn 0;\n" +
      "\t\t}\n"; 
    }
    
    Content = 
      @"$header\n\n" + 
      @"$usings\n\n" +
      @"namespace $namespacename\n" +
      "{\n" +
      @"\t$visibility $type $name $extentions\n" +
      "\t{\n" +
      @"$content" +
      "\t}\n" +
      "}";
  }
    
  public bool flushto(string dest)
  {  
    try
    {
      var f = File.new_for_path(dest);
  
      var o = f.create (FileCreateFlags.NONE, null);
  
      var data_stream = new DataOutputStream (o);
      data_stream.put_string (Content, null);
      data_stream.close(null);
      return true;
    }
    catch (Error e)
    {
      debug("Could not flush file! '%s'",e.message);
      return false;
    }
  }
}

